summaryrefslogtreecommitdiffstats
path: root/source/l/libtiff/libtiff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libtiff/libtiff.SlackBuild')
-rwxr-xr-xsource/l/libtiff/libtiff.SlackBuild10
1 files changed, 4 insertions, 6 deletions
diff --git a/source/l/libtiff/libtiff.SlackBuild b/source/l/libtiff/libtiff.SlackBuild
index 8e2e2b699..3643b68d7 100755
--- a/source/l/libtiff/libtiff.SlackBuild
+++ b/source/l/libtiff/libtiff.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2004, 2005, 2006, 2009, 2010, 2011, 2012, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libtiff
-VERSION=${VERSION:-$(echo tiff-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo tiff-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,11 +70,9 @@ rm -rf $PKG
mkdir -p $PKG
cd $TMP
rm -rf tiff-$VERSION
-tar xvf $CWD/tiff-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/tiff-$VERSION.tar.?z || exit 1
cd tiff-$VERSION || exit 1
-#zcat $CWD/libtiff-am-version.patch.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \